{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Problem 029</title>
</head>

<body>
  <main>
    <!--
      In this one, we're constructing a table. Pay
      attention to all of it because pieces will
      disappear over the next couple of problems.

      The table head (thead) and its table row (tr)
      tag are now gone, too.

      This context has a list of Person objects stored
      in the "people" key.
    -->
    <table>
      <!-- A table head open tag-->

      <thead>

        <!-- A table row open tag -->
        <tr>

          <!-- A table header tag with the content "Name" -->
          <th>Name</th>

          <!-- A table header tag with the content "Age" -->
          <th>Age</th>

          <!-- A table header tag with the content "Pronouns" -->
          <th>Pronouns</th>

          <!-- A table row close tag -->
        </tr>

        <!-- A table head close tag -->
      </thead>
      <!--
        The whole tbody, for loop, tr, and td tags to show
        each person's name, age, and pronouns.
      -->

      <tbody>
        {%for person in people%}
        <tr>
          <td>{{ person.name }}</td>
          <td>{{ person.age }}</td>
          <td>{{ person.pronouns }}</td>
        </tr>
        {% endfor %}
      </tbody>

    </table>
  </main>
</body>

</html>